%define module	foolscap

Summary:	Rewrite of Perspective Broker
Name:		python-%{module}
Version:	0.10.1
Release:	%mkrel 1
Source0:	http://foolscap.lothar.com/releases/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://foolscap.lothar.com/
Requires:	python >= 2.4
Requires:	python-twisted >= 2.4.0
Requires:	python-OpenSSL >= 0.6
BuildRequires:	pkgconfig(python) >= 2.4
BuildRequires:	python-twisted-core
BuildRequires:	python-twisted-web
BuildArch:	noarch

%description
Foolscap is a ground-up rewrite of Perspective Broker, which itself is
Twisted's native RPC/RMI protocol (Remote Procedure Call / Remote
Method Invocation).  If you have control of both ends of the wire, and
are thus not constrained to use some other protocol like
HTTP/XMLRPC/CORBA/etc, you might consider using Foolscap.

%prep
%setup -q -n %{module}-%{version}
find doc/ -name \*.py | xargs chmod 0644

%build
%py2_build

%install
%py2_install

%check
#trial foolscap

%files
%doc README LICENSE NEWS doc/*
%dir %{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}/*
%{python2_sitelib}/*egg-info
%{_bindir}/flogtool
%{_bindir}/flappclient
%{_bindir}/flappserver



%changelog
* Tue Feb 16 2016 philippem <philippem> 0.10.1-1.mga6
+ Revision: 962586
- update to 0.10.1

* Tue Oct 20 2015 philippem <philippem> 0.9.1-1.mga6
+ Revision: 893055
- update to 0.9.1

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4-7.mga5
+ Revision: 745400
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.4-6.mga5
+ Revision: 728529
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4-5.mga5
+ Revision: 688036
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.4-3.mga4
+ Revision: 544945
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 0.6.4-2.mga4
+ Revision: 500526
- remove tests

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.6.4-1.mga4
+ Revision: 450251
- Update to 0.6.4

* Sun Jan 13 2013 umeabot <umeabot> 0.6.3-2.mga3
+ Revision: 378851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 philippem <philippem> 0.6.3-1.mga2
+ Revision: 193246
- Update to 0.6.3.

* Thu Nov 17 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 168474
- Update to 0.6.2

* Thu Mar 10 2011 ahmad <ahmad> 0.6.1-2.mga1
+ Revision: 67353
- imported package python-foolscap

